%define	name	dvdbackup
%define	version 0.1.1
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	DVD-Video creation framework
License: 	GPL
Group:		Archiving/Cd burning
URL:		http://dvd-create.sourceforge.net/index.shtml
Source:		http://dvd-create.sourceforge.net/%{name}-%{version}.tar.bz2
Patch:		%{name}-0.1.1-build.patch
BuildRequires:	libdvdread-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
DVD-Create will not just offer a free DVD Authoring solutions for Linux and
Unix. DVD-Create offers you a framework that enables you to write DVD creation,
editing, and backup software without needing to know all the secretes of
DVD-Video.

%prep
%setup -q -n %{name}
%patch

%build
cd src
gcc -o dvdbackup -I%{_includedir}/dvdread -ldvdread %{optflags} dvdbackup.c

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 src/dvdbackup %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL COPYING
%{_bindir}/%{name}




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.1.1-3mdv2008.1
+ Revision: 140722
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-3mdv2007.0
+ Revision: 125041
- fix build

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-2mdk
- spec cleanup
- %%mkrel

* Tue Nov 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.1.1-1mdk 
- first Mandrake release

